/** EMULib Emulation Library *********************************/
/**                                                         **/
/**                         LibWin.h                        **/
/**                                                         **/
/** This file contains definitions and declarations for     **/
/** routines in LibWin.c.                                   **/
/**                                                         **/
/** Copyright (C) Marat Fayzullin 1996-1999                 **/
/**     You are not allowed to distribute this software     **/
/**     commercially. Please, notify me, if you make any    **/
/**     changes to this file.                               **/
/*************************************************************/
#ifndef LIBWIN_H
#define LIBWIN_H
#ifdef WINDOWS

#include <Windows.h>

/*** Bitmap Images *******************************************/
typedef unsigned char pixel;
typedef struct
{
  HDC hDC;
  HBITMAP hBMap;
  HPALETTE hPal;
  pixel *Data;
  int W,H,D;
} Image;

void WinPutImage(HWND hWnd,Image *Img,int X,int Y,int W,int H);
int  WinNewImage(Image *Img,int Width,int Height,int Depth);
void WinSetColor(Image *Img,int N,int R,int G,int B);
void WinFreeImage(Image *Img);
/*************************************************************/

HWND WinNewWindow(HINSTANCE hInst,char *Title,int Width,int Height);
   /* Create a new window of given size with a given title.  */
int  WinSizeWindow(HWND hWnd,int Width,int Height);
   /* Change window size. This function will return 0 if     */
   /* failed.                                                */
int  WinMoveWindow(HWND hWnd,int X,int Y);
   /* Change window position. This function will return 0 if */
   /* failed.                                                */
int  WinRequestFile(char *File,char *Types);
   /* Ask user to select a file. The File buffer must be at  */
   /* least 256 characters long. Returns 0 on failure.       */

#endif /* WINDOWS */
#endif /* LIBWIN_H */